package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PrecioFixoPedagio;

public class RenderPrecoFixoPedagio implements ListitemRenderer {
	
	public void render(Listitem lstm, Object o) throws Exception {
		PrecioFixoPedagio cp = (PrecioFixoPedagio) o;
		
		if (cp != null) {
			Listcell lc = new Listcell(cp.getOrgaoConcedenteId() == null ? "": cp.getOrgaoConcedenteId().toString());
			lc.setParent(lstm);
			lc = new Listcell(cp.getClasseId() == null ? "": cp.getClasseId().toString());
			lc.setParent(lstm);
			lc = new Listcell(cp.getValorFixo().toString());
			lc.setParent(lstm);
		}
		
		lstm.setAttribute("data", cp);
	}

}
